com.microfocus.awm.meta.modelextension

## Class FilePropertyExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.FilePropertyExtension

-     public class FilePropertyExtension
      extends java.lang.Object

  Parsed `fileProperty` model extension element. File properties are defined under `FileDescriptorExtension`s and represent `RFileProperty`s.
  Author:
    NicolasP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilePropertyExtension(FileDescriptorExtension pFileDescriptorExtension, java.lang.String pEditable, java.lang.String pVisible, java.lang.String pLabel)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileDescriptorExtension` | `getFileDescriptorExtension()` Gets the fileDescriptorExtension.
    `java.lang.String` | `getLabel()` Gets the label.
    `ModelPropertyExtension` | `getProperty()` Gets the referenced target property extension.
    `boolean` | `isEditable()` Gets the editable.
    `boolean` | `isVisible()` Gets the visible.
    `void` | `setProperty(ModelPropertyExtension pTargetProperty)` Sets the target property extension.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FilePropertyExtension

          public FilePropertyExtension(FileDescriptorExtension pFileDescriptorExtension,
                                       java.lang.String pEditable,
                                       java.lang.String pVisible,
                                       java.lang.String pLabel)

      Constructor.
      Parameters:
        `pFileDescriptorExtension` - the corresponding `FileDescriptorExtension`
        `pEditable` - the value of the editable attribute
        `pVisible` - the value of the visible attribute
        `pLabel` - the label of the file property

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

      Gets the label.
      Returns:
        the label

    - #### isEditable

          public boolean isEditable()

      Gets the editable.
      Returns:
        the editable

    - #### isVisible

          public boolean isVisible()

      Gets the visible.
      Returns:
        the visible

    - #### setProperty

          public void setProperty(ModelPropertyExtension pTargetProperty)

      Sets the target property extension.
      Parameters:
        `pTargetProperty` - the target property extension

    - #### getProperty

          public ModelPropertyExtension getProperty()

      Gets the referenced target property extension.
      Returns:
        the target property extension or `null`, if the reference was invalid

    - #### getFileDescriptorExtension

          public FileDescriptorExtension getFileDescriptorExtension()

      Gets the fileDescriptorExtension.
      Returns:
        the fileDescriptorExtension

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2015 Micro Focus GmbH. All rights reserved.